<?php

// add post-formats support
add_post_type_support( 'knowledgebase', 'post-formats' );

function pressapps_get_display_knowledgebase($args = array()){
    global $pressapps_knowledgebase_data;
    global $knowledgebase_settings;

    $kb_cat = -1;
    if ( isset($_GET['kb_cat']) ) {
        $kb_cat = $_GET['kb_cat'];
    }

    $kb_tag = 0;
    if ( isset($_GET['kb_tag']) ) {
        $kb_tag = $_GET['kb_tag'];
    }

    $kb_id = 0;
    if ( isset($_GET['kb_id']) ) {
        $kb_id = $_GET['kb_id'];
    }

    $kb_s = '';
    if ( isset($_GET['kb_s']) ) {
        $kb_s = $_GET['kb_s'];
    }

    $pressapps_terms = '';

    $posts_per_cat = 5;
    if ($knowledgebase_settings['posts_per_cat']) {
        $posts_per_cat = $knowledgebase_settings['posts_per_cat'];
    }

    if ( $knowledgebase_settings['reorder'] == 1 ) {
        $qry_args = array(
            'post_type'     => 'knowledgebase',
            'numberposts'   => -1,
            'orderby' => 'menu_order', 
            'order' => 'ASC', 
        );
    } else {
        $qry_args = array(
            'post_type'     => 'knowledgebase',
            'numberposts'   => -1,
        );
    }

    if(isset($kb_cat) && $kb_cat!=-1){
        $qry_args['tax_query']   = array(array(
                'taxonomy'  => 'knowledgebase_category',
                'field'     => 'id',
                'terms'     => $kb_cat,
            ),
        );
        if ( $knowledgebase_settings['reorder'] == 1 ) {
            $pressapps_terms       = get_terms('knowledgebase_category',array(
                'parent'  => $kb_cat,
                'orderby'   => 'term_group',
                'order' => 'ASC'
            ));
        } else {
            $pressapps_terms       = get_terms('knowledgebase_category',array(
                'parent'  => $kb_cat,
            ));
        }
    } elseif($kb_s != '') {
            $qry_args = array(
                'post_type'     => 'knowledgebase',
                'numberposts'   => -1,
                's'     => $kb_s,
            );
    } elseif($kb_id != '') {
            $qry_args = array(
                'post_type'     => 'knowledgebase',
              //  'numberposts'   => -1,
                'p'     => $kb_id,
            );
    } elseif(isset($kb_tag) && $kb_tag > 0){
            $qry_args['tax_query']   = array(array(
                    'taxonomy'  => 'knowledgebase_tags',
                    'field'     => 'id',
                    'terms'     => $kb_tag,
                ),
            );
    }else{
        if ( $knowledgebase_settings['reorder'] == 1 ) {
            $pressapps_terms = get_terms('knowledgebase_category' ,array(
                'orderby'   => 'term_group',
                'order' => 'ASC',
                'parent'  => 0,
            ) );
        } else {
            $pressapps_terms       = get_terms('knowledgebase_category',array(
                'parent'  => 0,
            ));
        }
    }


    if ($kb_id > 0) {
        $pressapps_knowledgebases = get_posts($qry_args);
        
        $pressapps_knowledgebase_data = array(
            'dispaly_terms' => FALSE,
            'knowledgebase'        => $pressapps_knowledgebases,
        );
        
    } elseif ($kb_tag > 0) {
        $pressapps_knowledgebases = get_posts($qry_args);
        
        $pressapps_knowledgebase_data = array(
            'dispaly_terms' => FALSE,
            'knowledgebase'        => $pressapps_knowledgebases,
        ); 
    } elseif ($kb_s != '') {
        $pressapps_knowledgebases = get_posts($qry_args);
        
        $pressapps_knowledgebase_data = array(
            'dispaly_terms' => FALSE,
            'knowledgebase'        => $pressapps_knowledgebases,
            's'     => $kb_s,
        );
    } else {
        if( count($pressapps_terms)>0){
            foreach($pressapps_terms as $term){
                $pressapps_terms_knowledgebases[$term->term_id] = get_posts(array_merge($qry_args,
                    array('tax_query'     => array(
                        array(
                            'taxonomy'  => 'knowledgebase_category',
                            'field'     => 'id',
                            'terms'     => $term->term_id,
                            'include_children' => true
                        )
                    ),
                    'posts_per_page'   => $posts_per_cat,
                )));
                
            }
            
            $pressapps_knowledgebase_data = array(
                'dispaly_terms' => TRUE,
                'terms'         => $pressapps_terms,
                'knowledgebase' => $pressapps_terms_knowledgebases,
            );

        }else{

            $pressapps_knowledgebases = get_posts($qry_args);
            
            $pressapps_knowledgebase_data = array(
                'dispaly_terms' => FALSE,
                'knowledgebase'        => $pressapps_knowledgebases,
            );
            
        }
    }
    
    $filename = PRESSAPPS_KNOWLEDGEBASE_PLUGIN_DIR . "/template/knowledgebase-default.php";  
    
    ob_start();
    include_once $filename;

    wp_enqueue_style('pressapps_knowledgebase_default');
    if(is_admin()){
        wp_enqueue_style('pressapps_knowledgebase_admin');
    } 
    wp_enqueue_script('pressapps_knowledgebase_tooltip');
    wp_enqueue_script('pressapps_knowledgebase_custom');

    wp_reset_query();
    return ob_get_clean();
    
}

/**
 * 
 * Disply the knowledgebase HTML generated based on the template file of knowledgebase.
 * 
 * @param array $args
 */
function pressapps_the_display_knowledgebase($args   = array()){
    echo pressapps_get_display_knowledgebase($args);
}

function pressapps_knowledgebase_content($atts = array()){
    return pressapps_get_display_knowledgebase($atts);
}

function pressapps_knowledgebase_content_filter($content) {
  global $knowledgebase_settings,$wp_query;
  
  if( is_page( $knowledgebase_settings['knowledgebase_page']) && isset($knowledgebase_settings['knowledgebase_page']) && $knowledgebase_settings['knowledgebase_page'] != 0 ){
      if ( !isset($_GET['kb_id']) ) {
        remove_filter( 'the_content', 'wpautop' );
      }
      $wp_query->post->post_content = pressapps_knowledgebase_content();
  } 
  
}

function print_knowledgebase_css() {

    global $knowledgebase_settings;

    echo '<style text="text/css"id="knowledgebase-style-css">' . "\n";

    if ( $knowledgebase_settings['color'] ) {
        echo '.knowledgebase-main h2 a, .knowledgebase-main h2 a:hover, .knowledgebase-main h2 a:visited, .knowledgebase-main h2 i, .knowledgebase-archive a h3, knowledgebase-archive a:hover h3, knowledgebase-archive h3 i,.knowledgebase-single a, .knowledgebase-single a:hover { color: ' . sanitize_text_field( $knowledgebase_settings['color'] ) . "}\n" ;
    }
    if ( $knowledgebase_settings['posts_color'] ) {
        echo '.knowledgebase-main li a, .knowledgebase-main li a:hover, .knowledgebase-main li a:visited, .knowledgebase-main li i { color: ' . sanitize_text_field( $knowledgebase_settings['posts_color'] ) . "}\n" ;
    }
       
    echo "</style>\n";
}

function print_knowledgebase_custom_css() {

    global $knowledgebase_settings;

    echo '<style text="text/css" id="knowledgebase-custom-css">' . "\n" . sanitize_text_field( $knowledgebase_settings['custom-css'] ) . "\n</style>\n";
}

/*-----------------------------------------------------------------------------------*/
/* Post format icons */
/*-----------------------------------------------------------------------------------*/

function knowledgebase_icon() {
    if (get_post_format() == 'video') {
        return 'pa-icon-video';
    } elseif (get_post_format() == 'image') {
        return 'pa-icon-picture';
    } else {
        return 'pa-icon-doc-text';
    }
}


/*-----------------------------------------------------------------------------------*/
/* Voting */
/*-----------------------------------------------------------------------------------*/

function knowledgebase_votes($is_ajax = FALSE) {

        global $knowledgebase_settings;        
        global $post;
        $votes_like = (int) get_post_meta($post->ID, '_votes_likes', true);
        $votes_dislike = (int) get_post_meta($post->ID, '_votes_dislikes', true);
        $voted_like             = sprintf(_n('%s person found this helpful', '%s people found this helpful', $votes_like, 'pressapps'), $votes_like);
        $voted_dislike  = sprintf(_n('%s person did not find this helpful', '%s people did not find this helpful', $votes_dislike, 'pressapps'), $votes_dislike);
        $vote_like_link                 = __("I found this helpful", 'pressapps');
        $vote_dislike_link      = __("I did not find this helpful", 'pressapps');
        $cookie_vote_count      = '';
        
        if(isset($_COOKIE['vote_count'])){
            $cookie_vote_count = @unserialize(base64_decode($_COOKIE['vote_count']));
        }
        
        if(!is_array($cookie_vote_count) && isset($cookie_vote_count)){
            $cookie_vote_count = array();
        }
       
        echo (($is_ajax)?'':'<div class="votes">');
                                
        if (is_user_logged_in() || $knowledgebase_settings['voting'] == 1) :
            
                if(is_user_logged_in())
                    $vote_count = (array) get_user_meta(get_current_user_id(), 'vote_count', true);
                else
                    $vote_count = $cookie_vote_count;
                
                if (!in_array( $post->ID, $vote_count )) :

                        echo '<p data-toggle="tooltip" title="' . $vote_like_link . '" class="likes"><a class="like_btn" href="javascript:" post_id="'  . $post->ID . '"><i class="pa-icon-thumbs-up"></i><span class="count">' . $votes_like . '</span></a></p>';
                        echo '<p data-toggle="tooltip" title="' . $vote_dislike_link . '" class="dislikes"><a class="dislike_btn" href="javascript:" post_id="' . $post->ID . '"><i class="pa-icon-thumbs-down"></i><span class="count">' . $votes_dislike . '</span></a></p>';

                else :
                        // already voted
                        echo '<p data-toggle="tooltip" title="' . $voted_like . '" class="likes"><i class="pa-icon-thumbs-up"></i><span class="count">' . $votes_like . '</span></p>';
                        echo '<p data-toggle="tooltip" title="' . $voted_dislike . '" class="dislikes"><i class="pa-icon-thumbs-down"></i><span class="count">' . $votes_dislike . '</span></p>';
                endif;
        
        else :
                // not logged in
                echo '<p data-toggle="tooltip" title="' . $voted_like . '" class="likes"><i class="pa-icon-thumbs-up"></i><span class="count">' . $votes_like . '</span></p>';
                echo '<p data-toggle="tooltip" title="' . $voted_dislike . '" class="dislikes"><i class="pa-icon-thumbs-down"></i><span class="count">' . $votes_dislike . '</span></p>';
        endif;
        
        echo (($is_ajax)?'':'</div>');

}

function knowledgebase_vote() {
    global $post;
    global $knowledgebase_settings;    

    if (is_user_logged_in()) {
        
        $vote_count = (array) get_user_meta(get_current_user_id(), 'vote_count', true);
        
        if (isset( $_GET['vote_like'] ) && $_GET['vote_like']>0) :
                
                $post_id = (int) $_GET['vote_like'];
                $the_post = get_post($post_id);
                
                if ($the_post && !in_array( $post_id, $vote_count )) :
                        $vote_count[] = $post_id;
                        update_user_meta(get_current_user_id(), 'vote_count', $vote_count);
                        $post_votes = (int) get_post_meta($post_id, '_votes_likes', true);
                        $post_votes++;
                        update_post_meta($post_id, '_votes_likes', $post_votes);
                        $post = get_post($post_id);
                        knowledgebase_votes(true);
                        die('');
                endif;
                
        elseif (isset( $_GET['vote_dislike'] ) && $_GET['vote_dislike']>0) :
                
                $post_id = (int) $_GET['vote_dislike'];
                $the_post = get_post($post_id);
                
                if ($the_post && !in_array( $post_id, $vote_count )) :
                        $vote_count[] = $post_id;
                        update_user_meta(get_current_user_id(), 'vote_count', $vote_count);
                        $post_votes = (int) get_post_meta($post_id, '_votes_dislikes', true);
                        $post_votes++;
                        update_post_meta($post_id, '_votes_dislikes', $post_votes);
                        $post = get_post($post_id);
                        knowledgebase_votes(true);
                        die('');
                        
                endif;
                
        endif;

    } elseif (!is_user_logged_in() && $knowledgebase_settings['voting'] == 1) {

        // ADD VOTING FOR NON LOGGED IN USERS USING COOKIE TO STOP REPEAT VOTING ON AN ARTICLE
        $vote_count = '';
        
        if(isset($_COOKIE['vote_count'])){
            $vote_count = @unserialize(base64_decode($_COOKIE['vote_count']));
        }
        
        if(!is_array($vote_count) && isset($vote_count)){
            $vote_count = array();
        }
        
        if (isset( $_GET['vote_like'] ) && $_GET['vote_like']>0) :
                
                $post_id = (int) $_GET['vote_like'];
                $the_post = get_post($post_id);
                
                if ($the_post && !in_array( $post_id, $vote_count )) :
                        $vote_count[] = $post_id;
                        $_COOKIE['vote_count']  = base64_encode(serialize($vote_count));
                        setcookie('vote_count', $_COOKIE['vote_count'] , time()+(10*365*24*60*60),'/');
                        $post_votes = (int) get_post_meta($post_id, '_votes_likes', true);
                        $post_votes++;
                        update_post_meta($post_id, '_votes_likes', $post_votes);
                        $post = get_post($post_id);
                        knowledgebase_votes(true);
                        die('');
                endif;
                
        elseif (isset( $_GET['vote_dislike'] ) && $_GET['vote_dislike']>0) :
                
                $post_id = (int) $_GET['vote_dislike'];
                $the_post = get_post($post_id);
                
                if ($the_post && !in_array( $post_id, $vote_count )) :
                        $vote_count[] = $post_id;
                        $_COOKIE['vote_count']  = base64_encode(serialize($vote_count));
                        setcookie('vote_count', $_COOKIE['vote_count'] , time()+(10*365*24*60*60),'/');
                        $post_votes = (int) get_post_meta($post_id, '_votes_dislikes', true);
                        $post_votes++;
                        update_post_meta($post_id, '_votes_dislikes', $post_votes);
                        $post = get_post($post_id);
                        knowledgebase_votes(true);
                        die('');
                        
                endif;
                
        endif;

    } elseif (!is_user_logged_in() && $knowledgebase_settings['voting'] == 2) {

        return;
        
    }
        
}

add_action('init', 'knowledgebase_vote');

add_action('wp_head','knowledgebase_common_js');

function knowledgebase_common_js(){
    $gt = array(
        'base_url'  => esc_url(home_url()),
    );
    ?>
<script type="text/javascript">
    GT = <?php echo json_encode($gt); ?>;
</script>
    <?php
}



