# Dynamik Website Builder Change Log

https://cobaltapps.com/downloads/dynamik-website-builder/

## [2.6.6] - 2020-06-24
### Added
- Added .has-blocks body class for pages are built using the Block Editor.

### Fixed
- Fixed style issue where pre-Block Editor pages sometimes show content outside .site-inner container due to change in .site-inner overflow CSS value.

## [2.6.5] - 2020-06-14
### Added
- Added figcaption to WP Image Caption styles for better Block Editor support.

### Fixed
- Fixed align-wide cover-image styles for better Block Editor compatibility.
- Fixed style bug where Block Editor heading colors were not taking effect on the front-end.

## [2.6.4] - 2020-06-06
### Changed
- Updated Ace Editor JS script.
- Changed Ace Editor font-size from 14px to 13px.
- Changed Ace Editor line-height for better line spacing.
- Updated Font Awesome to latest version.
- Refined admin styles.

### Fixed
- Fixed Ace Editor bug where resizing window could result in part of custom code disappearing from view.

## [2.6.3] - 2020-06-01
### Added
- Added Block Editor alignwide and alignfull image alignment support.
- Added Block Editor font-size option support.

### Fixed
- Fixed a few Taxonomy Design Option defaults that were resulting in black-on-black font/background colors.

## [2.6.2] - 2020-03-11
### Added
- Added Ace Editor Word Wrap option.

### Fixed
- Fixed bug where deactivated Custom Hook Boxes were still showing active textareas on admin page reload.

## [2.6.1] - 2020-03-03
### Added
- Added quotes around background/logo image URLs in stylesheet to account for spaces and special characters in image names.
- Added overflow-x: hidden; to body styles to prevent horizontal scrolling when multiple sub-sub pages are present in the navbars.

## [2.6.0] - 2020-02-25
### Added
- Added Ace Editor support to Responsive and Skin Custom Code editors in the Dynamik Design Options.
- Added Ace Editor support to both Custom Template and Hook Box features and refined their UI designs.
- Added a </wrap php> button to both the Custom Template and Hook Box features.

### Changed
- Increased the max-width of the Dynamik admin options.
- Changed design and custom option device icon titles to data attributes.
- Updated to the latest version of Font Awesome 5.

### Fixed
- Fixed bug where logo images with spaces were not displaying on the front-end.
- Fixed the Dynamik Design > Responsive > Show/Hide Options > "Vertical Toggle Menu Shortcodes" [?] Docs link.

## [2.5.7] - 2019-11-15
### Changed
- Updated the Dynamik admin styles to accommodate the WP admin style changes implemented in WordPress 5.3.

## [2.5.6] - 2019-10-17
### Added
- Added an "HMTL5 Required" banner to the WP Dashboard when the Dynamik HTML5 setting is not active to help ensure Genesis compatibility.

## [2.5.5] - 2019-09-30
### Changed
- Changed Google Fonts "display=swap" URL code to "display=auto" to prevent potential jerkiness of fonts on page load.

## [2.5.4] - 2019-09-03
### Changed
- Updated Font Awesome 5 to latest version number (5.10.2).

### Fixed
- Fixed Google Fonts bug where current Google Font "display=swap" URL code was sometimes preventing fonts from properly displaying.
- Fixed browser-specific body class code that would result in logged PHP errors when website was viewed by certain browsers/configurations. 

## [2.5.3] - 2019-02-16
### Fixed
- Fixed styling bug where widget area search form submit button drops below search form on focus.
- Fixed JS error that occurs with the fixed-header.js code when the default Genesis Header HTML is not present on a page, such as when a Page Builder is being used to create a custom version of that Header element.

## [2.5.2] - 2019-01-24
### Fixed
- Fixed bug where the Genesis Fancy Dropdowns were triggering a JS error when Genesis Accessibility was disabled.

## [2.5.1] - 2019-01-21
### Fixed
- Fixed bug where the mobile dropdown menu was throwing a JS error when Genesis Fancy Dropdowns were disabled.

## [2.5.0] - 2019-01-17
### Added
- Added Font Awesome 5 support.
- Added theme support code for WooCommerce 3.0+ gallery feature.

### Changed
- Updated the default design to more resemble the Genesis Sample Theme.
- Updated the Ace Editor code to the latest version.

### Removed
- Removed theme support code for "Genesis Connect For WooCommerce" Plugin as it's no longer needed for that Plugin to function.

### Fixed
- Fixed bug where the option to disable Genesis Fancy Dropdowns was not working.
- Fixed Search Archive page taxonomy title styling issue.

## [2.4.7] - 2018-11-05
### Fixed
- Adjusted taxonomy box styles to cover all archive and CPT instances.

## [2.4.6] - 2018-08-02
### Fixed
- Fixed Options Import admin check code to better accommodate all site setups.

## [2.4.5] - 2018-08-02
### Fixed
- Fixed vulnerability in the Options and Skin Import functionality.

## [2.4.4] - 2018-07-18
### Added
- Added Custom Functions POST code to help prevent the possibility of malicious code from being saved.

## [2.4.3] - 2018-06-09
### Fixed
- Fixed bug where enabling Genesis Accessibility prevented Design Option styling of EZ Widget Area Titles.
- Fixed bug where having the fixed header option disabled could cause Child Theme Export errors.

## [2.4.2] - 2018-06-06
### Added
- Added the ability to enable the Genesis Accessibility features.

## [2.4.1] - 2018-04-26
### Added
- Added exif_imagetype function for Dynamik Image Manager in cases where active server's PHP configuration does not provide it.

## [2.4.0] - 2018-04-21
### Added
- Added Change Log file and link to Change Log file in Settings page.

### Changed
- Moved Dynamik admin pages to their own sidebar section.
- Replaced old Image Uploader functionality with newer Image Manager page.


## Template for future logs. ##

## [9.0.0] - 2032-01-28
### Added
- Add example text.

### Changed
- Improve example text.

### Removed
- Remove example text.

### Fixed
- Fix example text.
