<?php
/* Do not remove this line. Add your functions below. */
/*** Create the spectrum line in the header ------------------------------------------------ ***/
add_action( 'genesis_after_header', 'spectrum_line_in_header', 1 );
function spectrum_line_in_header()
{
?>
	<table class="spectrum-line-wrap"><tr><td class="blue-line"> </td><td class="spectrum-line"> </td><td class="green-line"> </td><tr/></table>
<?php
}

/*** Create top and bottom shadows ------------------------------------------------ ***/
add_action( 'genesis_after_header', 'top_shadow', 10 );
function top_shadow()
{
?>
	<div class="top-shadow-wrap"></div>
<?php
}

add_action( 'genesis_before_footer', 'bottom_shadow_homepage' );
function bottom_shadow_homepage()
{
?>
	<div class="bottom-shadow-wrap"></div>
<?php
}

/*** Create the spectrum line in the footer ------------------------------------------------ ***/
add_action( 'genesis_before_footer', 'spectrum_line_in_footer', 20 );
function spectrum_line_in_footer()
{
?>
	<table class="spectrum-line-wrap"><tr><td class="blue-line"> </td><td class="spectrum-line"> </td><td class="green-line"> </td><tr/></table>
<?php
}

/** Customize the entire footer --------------------------------------------------*/
add_filter( 'genesis_footer_output', 'child_footer_output', 10, 3 );
function child_footer_output( $output, $backtotop_text, $creds_text ) {
    return '<p><a href="/wp-admin">Admin Login</a> | Copyright © 2013 Budapest Toastmasters | Powered by <a href="http://dynamiktheme.com/">Dynamik</a></p>';
}


/** Modify the length of post excerpts ----------------------------------------------*/
add_filter( 'excerpt_length', 'custom_excerpt_length' );
function custom_excerpt_length($length) {
    return 50; // pull first 50 words
}

/** Read more button ----------------------------------------------------------------*/
add_filter( 'excerpt_more', 'custom_read_more_link');
add_filter('get_the_content_more_link', 'custom_read_more_link');
add_filter('the_content_more_link', 'custom_read_more_link');
function custom_read_more_link() {
return ' <br /><a class="more-link" href="' . get_permalink() . '" rel="nofollow">Read More »</a>';
}

/* Build the description_walker class and integrate it into the Nav Menu ---------------- */
add_filter( 'walker_nav_menu_start_el', 'custom_add_menu_description', 10, 4 ); 
function custom_add_menu_description( $item_output, $item, $depth, $args )
{
    $args = (array) $args;
       
    if ( $args['theme_location'] == 'primary' )  {
        return preg_replace( '/(<a.*?>[^<]*?)</', '$1' . "<span class=\"menu-description\">{$item->post_content}</span><", $item_output ); 
    }
    else {
        return $item_output;
    }
}  
